ru.bitel.bgbilling.modules.inet.radius

## Class RadiusHourlyDataLogger

- java.lang.Object
- - ru.bitel.bgbilling.kernel.base.server.datalog.hourly.HourlyDataLogger<ru.bitel.bgbilling.kernel.network.radius.datalog.RadiusDataLogWriter,ru.bitel.bgbilling.kernel.network.radius.datalog.RadiusDataLog,ru.bitel.bgbilling.kernel.network.radius.datalog.hourly.RadiusHourlyDataLogEntry>
  - - ru.bitel.bgbilling.kernel.network.radius.datalog.hourly.RadiusHourlyDataLogger
    - - ru.bitel.bgbilling.modules.inet.radius.RadiusHourlyDataLogger

-     public class RadiusHourlyDataLogger
      extends ru.bitel.bgbilling.kernel.network.radius.datalog.hourly.RadiusHourlyDataLogger

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.base.server.datalog.hourly.HourlyDataLogger

      `hourPart, lock, map, setup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RadiusHourlyDataLogger(java.util.concurrent.ScheduledExecutorService scheduledExecutor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ru.bitel.bgbilling.kernel.network.radius.datalog.hourly.RadiusHourlyDataLogEntry` | `newEntry(ParameterMap setup, Idable _source, java.util.Calendar hour)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.datalog.hourly.HourlyDataLogger

      `flush, flushHourPart, getForHour, getForHourPart, getHourPart, getWriter, toString, writeRecord`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RadiusHourlyDataLogger

          @ConstructorProperties(value="scheduledExecutor")
          public RadiusHourlyDataLogger(java.util.concurrent.ScheduledExecutorService scheduledExecutor)
                                                                                   throws javax.naming.NamingException

      Throws:
        `javax.naming.NamingException`

  - ### Method Detail

    - #### newEntry

          protected ru.bitel.bgbilling.kernel.network.radius.datalog.hourly.RadiusHourlyDataLogEntry newEntry(ParameterMap setup,
                                                                                                              Idable _source,
                                                                                                              java.util.Calendar hour)
                                                                                                       throws java.io.IOException

      Overrides:
        `newEntry` in class `ru.bitel.bgbilling.kernel.network.radius.datalog.hourly.RadiusHourlyDataLogger`
      Throws:
        `java.io.IOException`